#!/bin/bash
function exitWithError {
    echo "$COMMAND_NAME :ERROR: $1"
    exit $2
}


./autogen.sh
if [[ $? != 0 ]]; then
    exitWithError "There is an error in libffi/autogen , please check it and try again." 2
fi

./configure --host="${CROSS_COMPILER_PREFIX}" --prefix="${OUT_DIR}/deploy/gstreamer" --sysconfdir="${OUT_DIR}/deploy/gstreamer/etc" --disable-static --enable-shared
if [[ $? != 0 ]]; then
    exitWithError "There is an error in libffi/configure, please check it and try again." 3
fi

make -j1
if [[ $? != 0 ]]; then
    exitWithError "There is an error in libffi/make, please check it and try again." 4
fi

if [ "$STRIP_FLAG" == "YES" ]; then
	make install-strip
else
	make install
fi

if [[ $? != 0 ]]; then
    exitWithError "There is an error in libffi/install, please check it and try again." 5
fi

#There is a known bug related to the installation of this library headers
#https://github.com/libffi/libffi/issues/24
#This is a workaraound for this problem
mkdir -p ${OUT_DIR}/deploy/gstreamer/include/
mv ${OUT_DIR}/deploy/gstreamer/lib/libffi-3.2.1/include/* ${OUT_DIR}/deploy/gstreamer/include/
